/*
    Copyright 2004 James Nash
                                                                                                
    This file is part of Ganesha.
                                                                                                
    Ganesha is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
                                                                                                
    Ganesha is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
                                                                                                
    You should have received a copy of the GNU General Public License
    along with Ganesha (see the LICENSE file); if not, write to the Free
    Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
    MA  02111-1307  USA
                                                                                                
*/
package com.twiddles.ganesha.functionality;

import com.hp.hpl.jena.rdf.model.*;
import com.hp.hpl.jena.vocabulary.*;
import java.util.*;
/**
   Implementation of {@link RDFBag} using Jena.
   <p>
   This requires the <a href="http://jena.sourceforge.net/">Jena API</a>
   to be installed on your system and listed in java's CLASSPATH.

   @see JenaSeq
   @see JenaAlt
   @author James Nash
*/
public class JenaBag extends JenaContainerAdaptor implements RDFBag{

    /**
       Constructs a new JenaBag.

       @param bag the Jena API Bag object to use
    */
    public JenaBag(Bag bag){
	super(bag);
    }


    /**
       Removes the object at the specified position from this bag.

       @param index the index of the element to be deleted.
    */
    public void removeObject(int index){

	// convert container to Jena Bag
	Bag bag = (Bag) con;

	Statement deleteMe = bag.getProperty( RDF.li(index) );

	bag.remove( deleteMe );

    }

}
