/*
    Copyright 2004 James Nash
                                                                                                
    This file is part of Ganesha.
                                                                                                
    Ganesha is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
                                                                                                
    Ganesha is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
                                                                                                
    You should have received a copy of the GNU General Public License
    along with Ganesha (see the LICENSE file); if not, write to the Free
    Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
    MA  02111-1307  USA
                                                                                                
*/
package com.twiddles.ganesha.gui;
import javax.swing.event.*;
import com.twiddles.ganesha.gui.gfx.*;
import com.twiddles.ganesha.functionality.*;

/**

   ActionListener to control the exit behaviour of a Container window.
   
   @author James Nash
*/
class ContainerWindowListener extends InternalFrameAdapter{

    /**
       Reference to the resource list that contains the entry
    */
    private ResourceList resList;

    /**
        Reference to the container whose window we're listening to
    */
    private RDFContainer con;


    /**
       Constructs a Listener that is linked to a given ContainerWindow

       @param con the container from the window being listened to
       @param resList the resource list entry whose window is being listened to
    */
    public ContainerWindowListener (RDFContainer con, ResourceList resList ){
	
	this.con = con;
	this.resList = resList;

    }



    /**
        Invoked when an internal frame has been closed.

	@param e ignored
    */
    public void internalFrameClosing( InternalFrameEvent e ){

	resList.closeContainerWindow( con );
	
    }



}
